Difference between revisions of "Talk:Installation guide"

From ArchWiki
Jump to: navigation, search
(Suggest using genfstab -t PARTUUID for GPT partition tables.: remove closed)
(Document changes for filesystem package / Update sections where necessary: remove closed)
Line 35: Line 35:
  
 
:install.txt is not a real copy in the sense that all wiki links are missing, and those without two computers can simply switch ttys to elinks as is described in [[Installation_guide#Pre-installation]] (throughout the guide, a working internet connection is assumed). -- [[User:Alad|Alad]] ([[User talk:Alad|talk]]) 07:57, 14 November 2017 (UTC)
 
:install.txt is not a real copy in the sense that all wiki links are missing, and those without two computers can simply switch ttys to elinks as is described in [[Installation_guide#Pre-installation]] (throughout the guide, a working internet connection is assumed). -- [[User:Alad|Alad]] ([[User talk:Alad|talk]]) 07:57, 14 November 2017 (UTC)
 
== <s>Document changes for filesystem package / Update sections where necessary</s> ==
 
 
The filesystem package underwent some changes and the installation guide is not up to date anymore. Especially the part about the hosts file is not correct anymore. Additionally, group ids are not static anymore.
 
 
For details please have a look here:
 
 
https://bbs.archlinux.org/viewtopic.php?pid=1754949#p1754949
 
 
{{unsigned|07:20, 14 December 2017‎|Jrk}}
 
 
:[https://git.archlinux.org/svntogit/packages.git/diff/trunk/hosts?h=packages/filesystem&id=20928f58767d34ed6711befd6255f6a0b1706ae8 Here] is the change in question.  -- [[User:Rdeckard|Rdeckard]] ([[User_talk:Rdeckard|talk]]) 01:51, 23 January 2018 (UTC)
 
 
::Manually changing {{ic|/etc/hosts}} is now more required than before since otherwise localhost is resolved over the network. See {{Bug|56684}}. -- [[User:Alad|Alad]] ([[User talk:Alad|talk]]) 13:06, 25 January 2018 (UTC)
 
  
 
== Link to the German version ==
 
== Link to the German version ==

Revision as of 17:56, 7 February 2018

Read this first before adding new suggestions

  • systemd tools such as hostnamectl, timedatectl and localectl do not work in the installation chroot environment, so please do not propose to use them in the guide unless you can prove that they have been made to work also in that case. See [1], [2], [3] and [4] for some past discussions about this issue.
  • localectl list-keymaps does not work due to bug FS#46725. For the chosen replacement command, see [5].
  • localhost must be set explicitely in /etc/hosts, as it is otherwise resolved over the network. See FS#56684.

-- The ArchWiki Administrators 22:17, 2 September 2016 (UTC)

pacman-key --populate

[Moved from Talk:Beginners' guide. -- Alad (talk) 20:38, 12 July 2016 (UTC)]

Reference: https://wiki.archlinux.org/index.php?title=Beginners%27_guide&diff=next&oldid=411670 I tried to install Archlinux on my new computer and got stuck. Only using the pacman-key --populate archlinux helped me. I think I am not the only one having this problem. But why did you undo it? —This unsigned comment is by Sandstorm (talk) 20:38, 12 December 2015‎. Please sign your posts with ~~~~!

This command is already run for the new system (by installation of archlinux-keyring), so running it by hand shouldn't be required for most users. Of course, things can go wrong (how old was the ISO you used to install the system?), but that belongs in Troubleshooting sections of the respective articles, which are linked at the beginning of the guide. -- Alad (talk) 19:52, 12 December 2015 (UTC)
I had downloaded the ISO just yesterday, minutes before the install. Only that command installed the keys. Probably I should open a bug if you can confirm the issue?
Did you have to run pacman-key after, or before pacstrap? And do you recall what the error messages said exactly? (See also FS#31286) -- Alad (talk) 20:15, 12 December 2015 (UTC)
I had to run after pacstrap. As far as I remember, pacstrap stopped after trying to download the keys. The error message was something like shown in this forum post: https://bbs.archlinux.org/viewtopic.php?id=165367
Well then, as you suggested, I'd open a bug report. -- Alad (talk) 20:34, 12 December 2015 (UTC)
Done. Could you check if the description is good. I could not find an appropriate category, so I though Packages:Core might be the closest one. https://bugs.archlinux.org/task/47351 --Sandstorm (talk) 20:48, 12 December 2015 (UTC)
Thanks, the description looks OK. If the category e.a is not right, User:Scimmia should fix it. :P -- Alad (talk) 13:59, 13 December 2015 (UTC)
Hmm, looks like it was closed with "Works for me" ... not very enlightening. All I can suggest is to further improve on Pacman/Package signing and related articles, and recheck if they're accessible enough from the Beginners' guide. -- Alad (talk) 21:59, 12 February 2016 (UTC)

Switch to systemd-networkd

Next ISOs may use systemd-networkd instead of dhcpcd, see [6] -- Alad (talk) 10:26, 19 July 2016 (UTC)

Include hint at top of page for install.txt

Inform users that a copy of the installation guide can be found in ~/install.txt on the live CD.

This would be incredibly helpful for users who potentially don't have access to two computers at the same time. —This unsigned comment is by Cheeseypi (talk) 23:33, 13 November 2017‎. Please sign your posts with ~~~~!

install.txt is not a real copy in the sense that all wiki links are missing, and those without two computers can simply switch ttys to elinks as is described in Installation_guide#Pre-installation (throughout the guide, a working internet connection is assumed). -- Alad (talk) 07:57, 14 November 2017 (UTC)

Link to the German version

Instead of de:Arch Install Scripts you could choose de:Anleitung für Einsteiger it means "Beginner's Guid" and is a very detailed artikel for very new arch users and the future experts.

Thank you, done. -- Kynikos (talk) 16:31, 6 February 2018 (UTC)
This was already proposed last year and rejected: [7]. I don't see what has changed since then. If someone adds me as admin to the german wiki or changes the protection settings, I can update de:Arch Install Scripts as required. -- Alad (talk) 18:13, 6 February 2018 (UTC)
I see, I didn't remember that discussion so I've reverted the change, hopefully you'll make it to update the translation, let's leave this open until the problem is solved, otherwise this kind of suggestion will keep appearing recurrently. -- Kynikos (talk) 17:53, 7 February 2018 (UTC)